List agents
curl --request GET \
--url https://back.leap.onclarity.com/api/agent/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/agent/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/agent/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"id": 123,
"first_name": "<string>",
"email": "<string>",
"role": "agent",
"kind": "human",
"status": "offline",
"account_status": "active",
"last_name": "<string>",
"phone": "<string>",
"avatar_url": "<string>",
"capacity_profile_id": 123,
"teams": [
{
"id": 123,
"name": "<string>"
}
],
"effective_limits": {},
"open_counts": {},
"capacity_overrides": {}
}
],
"total": 123
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Tickets
List agents
GET
/
api
/
agent
/
list
List agents
curl --request GET \
--url https://back.leap.onclarity.com/api/agent/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/agent/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/agent/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"id": 123,
"first_name": "<string>",
"email": "<string>",
"role": "agent",
"kind": "human",
"status": "offline",
"account_status": "active",
"last_name": "<string>",
"phone": "<string>",
"avatar_url": "<string>",
"capacity_profile_id": 123,
"teams": [
{
"id": 123,
"name": "<string>"
}
],
"effective_limits": {},
"open_counts": {},
"capacity_overrides": {}
}
],
"total": 123
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Query Parameters
Account status (active, disabled)
Available options:
active, blocked, not_active Available options:
online, offline, away